List Tool Call Approvals
Tool calls held for approval in this workspace, newest first.
GET
/
v1
/
workspaces
/
{workspace}
/
tool-call-approvals
List Tool Call Approvals
curl --request GET \
--url https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"arguments": {},
"can_decide": true,
"client_id": "<string>",
"client_name": "<string>",
"comment": "<string>",
"connector": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"hint": "<string>",
"id": "<string>",
"mcp_instance_id": "<string>",
"policy_name": "<string>",
"reason": "<string>",
"requested_by": "<string>",
"status": "pending",
"tool": "<string>",
"url": "<string>"
}
],
"page": 123,
"page_size": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Slug of the workspace the request acts in
Maximum string length:
120Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Query Parameters
Available options:
pending, approved, rejected, consumed, expired Required range:
1 <= x <= 10000Required range:
1 <= x <= 200Last modified on October 12, 2026
⌘I
List Tool Call Approvals
curl --request GET \
--url https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"arguments": {},
"can_decide": true,
"client_id": "<string>",
"client_name": "<string>",
"comment": "<string>",
"connector": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"hint": "<string>",
"id": "<string>",
"mcp_instance_id": "<string>",
"policy_name": "<string>",
"reason": "<string>",
"requested_by": "<string>",
"status": "pending",
"tool": "<string>",
"url": "<string>"
}
],
"page": 123,
"page_size": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}